import {
    Pipe,
    PipeTransform
} from '@angular/core';


@Pipe({
    name: 'dayshoursminutes'
})
export class DaysHoursMinutesPipe implements PipeTransform {

    transform(milliseconds: number): string {
        let secs = milliseconds / 1000 >> 0;
        let seconds = secs % 60;
        let mins = (secs - seconds) / 60 >> 0;
        let minutes = mins % 60;
        let hrs = (mins - minutes) / 60 >> 0;
        let hours = hrs % 24;
        let days = (hrs - hours) / 24 >> 0;
        let result = minutes.toString() + ' minutes';
        if (minutes == 1)
            result = minutes.toString() + ' minute';
        if (hours == 1)
            result = hours.toString() + ' hour, ' + result;
        else if (hours > 1)
            result = hours.toString() + ' hours, ' + result;
        if (days == 1)
            result = days.toString() + ' day, ' + result;
        if (days > 1)
            result = days.toString() + ' days, ' + result;
        return result;
    }
}
